Subject: Re: bug#36127: 26.1, openbsd-6.5; org-9.2.3 package fails to install

From: VanL <[email-masked]>
Date: Sat, 12 Oct 2019 17:28:49 +1100

Stefan Kangas <[email-masked]> writes:

> VanL <[email-masked]> writes:
>
>> In the above I report I used M-x list-packages; in the following, I use
>> M-x package-list-packages
>>
>> 0. mv .emacs.d __dot_emacs_d__
>> 1. emacs -Q
>> 2. M-x package-list-packages
>>
>8 ----- snipped
>
> This is due to the new GNU ELPA key, I think.  See:
> https://emacs.stackexchange.com/questions/233/how-to-proceed-on-package-el-signature-check-failure/52823#52823
>

A similar problem was reported to help-gnu-emacs which was solved by
Emacs 26.2.90.

> Could you try to reproduce this on Emacs 26.3 instead?

Emacs 26.3 lists org (9.1.9) as built-in.  The details of the package
shows 9.2.6 and I am able to gotothere to click the Install button.
And, it goes to the end without erroring.

> Or alternatively fix the local key ring in your installation as per
> the instructions in the link above, and then try again?

On Emacs 26.1 with package-check-signature set nil the steps allowed go
as far as clicking the Install button for 9.2.6 and progress stops.  The
Messages buffer has:

#+BEGIN_EXAMPLE
  Install package ‘org-9.2.6’? y
  Setting ‘package-selected-packages’ temporarily since "emacs -q" would overwrite customizations [2 times]
  Contacting host: elpa.gnu.org:443
  package-install-from-archive: https://elpa.gnu.org/packages/org-9.2.6.tar: Bad Request

#+END_EXAMPLE